<#macro line1>
========================================================================
</#macro>
<#-- *********************************-->
<#macro line2>
------------------------------------------------------------------------
</#macro>
<#-- *********************************-->
<#macro getSpace str1 str2>
<#assign out=str1>
<#assign space="                                     ">
<#assign firsttime=1>
<#assign i=0>
<#list [" "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "] as x>
<#if i gt (36-str1?length)>
<#break>
</#if>
<#assign out=out+x>
<#assign i=i+1>
</#list>
<#list str2?split("\n") as s>
<#if firsttime = 1>
${out+s}
<#assign firsttime=2>
<#else>
${space+ s}
</#if>
</#list>
</#macro>

<#-- *********************************-->
<#macro headerline name value>
<@getSpace str1=name str2=value/>
</#macro>
<#-- *********************************-->
<#macro subtasksheader item>
<#if filter.TASKNUMBER>
<@headerline name=titles.subtask.TASKNUMBER value=addval.taskViewFactory.inEmailText(item).getNumber()/>
</#if>
<#if filter.FULLPATH>
<@headerline name=titles.subtask.FULLPATH value=addval.taskViewFactory.inEmailText(item).getRelativePath(task.getId())/>
</#if>
<#if filter.NAME>
<@headerline name=titles.subtask.NAME value=addval.taskViewFactory.inEmailText(item).getName()/>
</#if>
<#if (filter.ALIAS && item.getShortname()?exists)>
<@headerline name=titles.subtask.ALIAS value=item.getShortname()/>
</#if>
<#if filter.CATEGORY>
<@headerline name=titles.subtask.CATEGORY value=item.getCategory().getName()/>
</#if>
<#if filter.STATUS>
<@headerline name=titles.subtask.STATUS value=item.getStatus().getName()/>
</#if>
<#if (filter.RESOLUTION && item.getResolution()?exists)>
<@headerline name=titles.subtask.RESOLUTION value=addval.taskViewFactory.inEmailText(item).getResolution()/>
</#if>
<#if (filter.PRIORITY && item.getPriority()?exists)>
<@headerline name=titles.subtask.PRIORITY value=addval.taskViewFactory.inEmailText(item).getPriority()/>
</#if>
<#if (filter.SUBMITTER && item.getSubmitter()?exists)>
<@headerline name=titles.subtask.SUBMITTER value=addval.taskViewFactory.inEmailText(item).getSubmitter()/>
</#if>
<#if (filter.SUBMITTERSTATUS && item.getSubmitter()?exists)>
<@headerline name=titles.subtask.SUBMITTERSTATUS value=addval.taskViewFactory.inEmailText(item).getSubmitterPrstatuses()/>
</#if>
<#if (filter.HANDLER && (item.getHandlerUserId()?exists || item.getHandlerGroupId()?exists))>
<@headerline name=titles.subtask.HANDLER value=addval.taskViewFactory.inEmailText(item).getHandler()/>
</#if>
<#if (filter.HANDLERSTATUS && (item.getHandlerUserId()?exists || item.getHandlerGroupId()?exists))>
<@headerline name=titles.subtask.HANDLERSTATUS value=addval.taskViewFactory.inEmailText(item).getHandlerPrstatuses()/>
</#if>
<#if (filter.SUBMITDATE && item.getSubmitdate()?exists)>
<@headerline name=titles.subtask.SUBMITDATE value=addval.taskViewFactory.inEmailText(item).getSubmitdate()/>
</#if>
<#if (filter.UPDATEDATE && item.getUpdatedate()?exists)>
<@headerline name=titles.subtask.UPDATEDATE value=addval.taskViewFactory.inEmailText(item).getUpdatedate()/>
</#if>
<#if (filter.CLOSEDATE && item.getClosedate()?exists)>
<@headerline name=titles.subtask.CLOSEDATE value=addval.taskViewFactory.inEmailText(item).getClosedate()/>
</#if>
<#if (filter.DEADLINE && item.getDeadline()?exists)>
<@headerline name=titles.subtask.DEADLINE value=addval.taskViewFactory.inEmailText(item).getDeadline()/>
</#if>
<#if filter.BUDGET>
<@headerline name=titles.subtask.BUDGET value=addval.taskViewFactory.inEmailText(item).getBudget()/>
</#if>
<#if filter.ABUDGET>
<@headerline name=titles.subtask.ABUDGET value=addval.taskViewFactory.inEmailText(item).getActualBudget()/>
</#if>
<#if filter.CHILDCOUNT && item.getTotalChildrenCount()?exists>
<@headerline name=titles.subtask.SUBTASKS value=item.getTotalChildrenCount().toString()/>
</#if>
<#if filter.MESSAGECOUNT && item.getMessageCount()?exists>
<@headerline name=titles.subtask.MESSAGES value=item.getMessageCount().toString()/>
</#if>
<#if ((titles.subtask.udfCaption?exists) && subudf[item.getId()]?exists)>
<#assign m = 0/>
<#list titles.subtask.udfCaption as y>
<#if (subudf[item.getId()]?size -m > 0)>
<#if (subudf[item.getId()][m]?exists)><@headerline name=y value=addval.taskViewFactory.inEmailTextList(item).getUDFValueView(subudf[item.getId()][m]).getValue(item)/></#if>
</#if>
<#assign m = m +1/>
</#list>
</#if>
<#if filter.DESCRIPTION>
<@line1/>
${item.getTextDescription()?default("")}
</#if>
<#if filter.MESSAGEVIEW>
<#if submsg[item.getId()]?exists>
<@line2/>
${titles.messages.MESSAGES}
<#list submsg[item.getId()] as m>
<@message msg=m/>
</#list>
</#if></#if>
</#macro>
<#-- *********************************-->
<#macro message msg>
<@line2/>
<@headerline name=titles.messages.DATE value=addval.df.parse(msg.getTime())/>
<@headerline name=titles.messages.AUTHOR value=addval.taskViewFactory.inEmailText(task).getUserView(msg.getSubmitter()).getName()/>
<@headerline name=titles.messages.MESSAGETYPE value=msg.getMstatus().getName()/>
<#if msg.getResolution()?exists>
<@headerline name=titles.messages.RESOLUTION value=msg.getResolution().getName()/>
</#if>
<#if msg.getHandlerUserId()?exists || msg.getHandlerGroupId()?exists>
<#if msg.getHandlerUserId()?exists>
    <@headerline name=titles.messages.HANDLER value=addval.taskViewFactory.inEmailText(task).getUserView(msg.getHandlerUser()).getName()/>
</#if>
<#if msg.getHandlerGroupId()?exists>
    <@headerline name=titles.messages.HANDLER value=msg.getHandlerGroup().getEncodeName()/>
</#if>
</#if>
<#if msg.getPriority()?exists>
<@headerline name=titles.messages.PRIORITY value=msg.getPriority().getName()/>
</#if>
<#if msg.getDeadline()?exists>
<@headerline name=titles.messages.DEADLINE value=addval.df.parse(msg.getDeadline())/>
</#if>
<#if msg.getBudget()?exists>
<@headerline name=titles.messages.BUDGET value=addval.hf.format(msg.getBudget().floatValue(), titles.FORMAT)/>
</#if>
<#if msg.getHrs()?exists>
<@headerline name=titles.messages.ABUDGET value=addval.hf.format(msg.getHrs().floatValue(), titles.FORMAT)/>
</#if>
<@line2/>
<#if msg.getTextDescription()?exists>${msg.getTextDescription()}</#if>
<@line2/>
</#macro>
<#macro subtasks>
<#list items as i>
<@line1/>
<@subtasksheader item=i/>
</#list>
</#macro>
<#-- end macros begin message text-->
<#if (addval.availableMstatusList?exists) && !addval.availableMstatusList.isEmpty()>
*#=====#* REPLY BELOW THIS LINE *#=====#*
*!=====!* REPLY ABOVE THIS LINE *!=====!*
</#if>
${addval.filterInfo}
<@line1/>
${addval.fullreason}
<@line1/>
${addval.taskViewFactory.inEmailText(task).getName()}
${addval.tasklink}
<@line1/>
<@headerline name=titles.TASKNUMBER value=addval.taskViewFactory.inEmailText(task).getNumber()/>
<@headerline name=titles.PATH value=addval.taskViewFactory.inEmailText(task).getFullPath()/>
<@headerline name=titles.TASKNAME value=addval.taskViewFactory.inEmailText(task).getName()/>
<#if (task.getShortname()?exists)>
<@headerline name=titles.ALIAS value=task.getShortname()/>
</#if>
<#if (task.getCategory()?exists)>
<@headerline name=titles.CATEGORY value=addval.taskViewFactory.inEmailText(task).getCategory()/>
</#if>
<#if (task.getStatus()?exists) >
<@headerline name=titles.STATUS value=addval.taskViewFactory.inEmailText(task).getStatus()/>
</#if>
<#if (task.getResolution()?exists)>
<@headerline name=titles.RESOLUTION value=addval.taskViewFactory.inEmailText(task).getResolution()/>
</#if>
<#if (task.getPriority()?exists)>
<@headerline name=titles.PRIORITY value=addval.taskViewFactory.inEmailText(task).getPriority()/>
</#if>
<#if (task.getSubmitter()?exists)>
<@headerline name=titles.SUBMITTER value=addval.taskViewFactory.inEmailText(task).getSubmitter()/>
</#if>
<#if task.getHandlerUserId()?exists || task.getHandlerGroupId()?exists>
<@headerline name=titles.HANDLER value=addval.taskViewFactory.inEmailText(task).getHandler()/>
</#if>
<#if (task.getSubmitdate()?exists)>
<@headerline name=titles.SUBMITDATE value=addval.taskViewFactory.inEmailText(task).getSubmitdate()/>
</#if>
<#if (task.getUpdatedate()?exists)>
<@headerline name=titles.UPDATEDATE value=addval.taskViewFactory.inEmailText(task).getUpdatedate()/>
</#if>
<#if (task.getClosedate()?exists)>
<@headerline name=titles.CLOSEDATE value=addval.taskViewFactory.inEmailText(task).getClosedate()/>
</#if>
<#if (task.getDeadline()?exists)>
<@headerline name=titles.DEADLINE value=addval.taskViewFactory.inEmailText(task).getDeadline()/>
</#if>
<#if (task.getBudget()?exists)>
<@headerline name=titles.BUDGET value=addval.taskViewFactory.inEmailText(task).getBudget()/>
</#if>
<#if (task.getActualBudget()?exists && (task.getActualBudget().doubleValue() > 0))>
<@headerline name=titles.ABUDGET value=addval.taskViewFactory.inEmailText(task).getActualBudget()/>
</#if>
<#if (udfs?exists)>
<#list udfs as y>
<#if (y?exists && addval.taskViewFactory.inEmailText(task).getUDFValueView(y).getValue(task).length()>0)>
<@headerline name=y.getCaption() value=addval.taskViewFactory.inEmailText(task).getUDFValueView(y).getValue(task)/>
</#if>
</#list>
</#if>
<#-- ref by task begin -->
<#if (addval.refTaskUdfs?exists && !addval.refTaskUdfs.isEmpty())>
<@line1/>
<@getSpace str1=titles.REFBYTASKS str2=""/>
<#list addval.refTaskUdfs as u>
<#if (u?exists)>
<@headerline name=u.getCaption() value=addval.taskViewFactory.inEmailText(task).getReferencedTasks(addval.refTasks.get(u))/>
</#if>
</#list>
<@line1/>
</#if>
<#-- ref by user begin -->
<#if (addval.refUserUdfs?exists && !addval.refUserUdfs.isEmpty())>
<@line1/>
<@getSpace str1=titles.REFBYUSERS str2=""/>
<#list addval.refUserUdfs as u>
<#if (u?exists)>
<@headerline name=u.getCaption() value=addval.taskViewFactory.inEmailText(task).getReferencedUsers(addval.refUsers.get(u))/>
</#if>
</#list>
<@line1/>
</#if>
<#-- scm begin -->
<#if (addval.scmReferences?exists && !addval.scmReferences.isEmpty())>
<@commits/>
</#if>
<#if task.getTextDescription()?exists>
<@line1/>
<@getSpace str1=titles.DESCRIPTION str2=""/>
${task.getTextDescription()?default("")}
<@line1/>
</#if>
<#-- subtasks begin -->
<#if items?exists>
<@subtasks/>
</#if>
<#-- attachments begin -->
<#if (atts?exists && atts.size() > 0)>
<@attachments/>
</#if>
<#-- messages begin -->
<#if msglist?exists && !msglist.isEmpty()>
<@line2/>
${titles.messages.MESSAGES}
<#list msglist as m>
<@message msg=m/>
</#list>
<@line2/>
</#if>

<#--BEGIN ATTACHMENT`S MACROS#-->
<#macro attachments>
${titles.attachments.ATTACHMENTS}
<#list atts as i>
<@attline att=i/>
</#list>
</#macro>
<#macro attline att>
<@line1/>
<@headerline name=titles.attachments.FILE value=att.getName()/>
<@headerline name=titles.attachments.SIZE value=att.getSize().toString()/>
<@headerline name=titles.attachments.LAST_MODIFIED value=att.getLastModifiedString()/>
<@headerline name=titles.attachments.OWNER value=att.getUserName()/>
<@headerline name=titles.attachments.DESCRIPTION value=att.getDescription()/>
</#macro>
<#--END ATTACHMENT`S MACROS#-->

<#--BEGIN COMMITS`S MACROS#-->
<#macro commits>
${titles.REFSCM}
<#list addval.scmReferences as c>
<@commline comm=c/>
</#list>
</#macro>

<#macro commline comm>
<@line1/>
<#if addval.isSVN>
${titles.scm.REVISION}                             ${comm.revision}
</#if>
<@headerline name=titles.scm.AUTHOR value=comm.author/>
<@headerline name=titles.scm.DATE value=addval.df.parse(comm.date)/>
${titles.scm.COMMENT} 
${comm.message} 
${titles.scm.CHANGED_PATH} 
<#list comm.changedPath as path>
<#if addval.isSVN>${path.value} ${path.key}
<#else>${path}</#if>
</#list>
</#macro>
<#--END COMMITS`S MACROS#-->

