function selected(cal, date) {
    cal.sel.value = date; // just update the date in the input field.
    if (cal.dateClicked)
        cal.callCloseHandler();
}

function closeHandler(cal) {
    cal.hide(); // hide the calendar
    calendar = null;
}

function showCalendar(id, format, showsTime, showsOtherMonths) {
    var el = document.getElementById(id);
    if (calendar != null) {
    // we already have some calendar created
    calendar.hide();                 // so we hide it first.
    } else {
    // first-time call, create the calendar.
    var cal = new Calendar(1, null, selected, closeHandler);
    // uncomment the following line to hide the week numbers
    // cal.weekNumbers = false;
    if (typeof showsTime == "string") {
      cal.showsTime = true;
      cal.time24 = (showsTime == "24");
    }
    if (showsOtherMonths) {
      cal.showsOtherMonths = true;
    }
    calendar = cal;                  // remember it in the global var
    cal.setRange(1900, 2070);        // min/max year allowed.
    cal.create();
    }
    calendar.setDateFormat(format);    // set the specified date format
    calendar.parseDate(el.value);      // try to parse the text in field
    calendar.sel = el;                 // inform it what input field we use

    // the reference element that we pass to showAtElement is the button that
    // triggers the calendar.  In this example we align the calendar bottom-right
    // to the button.
    calendar.showAtElement(el);        // show the calendar

    return false;
}
